Package io.github.jdbcx.script

# Class ScriptHelper

java.lang.Object
io.github.jdbcx.script.ScriptHelper

public final class ScriptHelper extends Object

## Method Summary

Modifier and Type
Method
Description
`String`
`cli(String command, String... args)`
`String`
`escapeDoubleQuote(String str)`
`String`
`escapeSingleQuote(String str)`
`String`
`format(String template, Object... args)`
`static ScriptHelper`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static ScriptHelper getInstance()

### cli

public String cli(String command, String... args) throws IOException

Throws:
  `IOException`

### escapeSingleQuote

public String escapeSingleQuote(String str)

### escapeDoubleQuote

public String escapeDoubleQuote(String str)

### format

public String format(String template, Object... args)